GET /data/shots/{shot_id}/versions

Get data versions of a shot. Use this to inspect version history.

Path parameters

  • shot_id Required

Responses

  • 200 application/json

    Data versions of given shot

    Hide response attributes Show response attributes object
    • id string(uuid)
    • created_at string(date-time)
GET /data/shots/{shot_id}/versions
curl -X GET "http://api.example.com/data/shots/a24a6ea4-ce75-4665-a070-57453082c25/versions" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/shots/a24a6ea4-ce75-4665-a070-57453082c25/versions"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
curl \
 --request GET 'http://api.example.com/data/shots/a24a6ea4-ce75-4665-a070-57453082c25/versions' \
 --header "Authorization: $API_KEY"
Response examples (200)
[
  {
    "id": "a24a6ea4-ce75-4665-a070-57453082c25",
    "created_at": "2024-01-15T10:30:00Z"
  }
]